Bug 503167 - The short form for fcoeadm switch display output properly while long displays help screen
The short form for fcoeadm switch display output properly while long displays...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: fcoe-utils (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Zeleny
Depends On:
  Show dependency treegraph
Reported: 2009-05-29 07:24 EDT by Jan Zeleny
Modified: 2011-02-18 04:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 498551
Last Closed: 2009-09-02 06:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Zeleny 2009-05-29 07:24:20 EDT
Description of problem:
when using the short form (fcoeadm -i) of fcoeadm switches, fcoeadm works as
expected but when using the long form (fcoeadm --interface) they don't. The
long form just displays the help menu instead of proper output.  The displayed
help screen does show the long form as a valid command.

Version-Release number of selected component (if applicable):
fcoeadm v1.0.7

How reproducible:
enter any fcoeadm command in both short form and long form, observe

Actual results:
Help is displayed for the long form rather then output expected for the flag.

Expected results:
The output should be the same for both short and long forms of the fcoeadm
Comment 1 RHEL Product and Program Management 2009-05-29 07:29:32 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2009-09-02 06:02:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.